Phusion white papers Phusion overview

Phusion Blog

Phusion Passenger 4.0.40 released, Nginx 1.4.7 with buffer overflow fix

By Hongli Lai on March 19th, 2014

Phusion Passenger 4.0.40 has been released. The only change in this version is that the preferred Nginx version has been bumped to 1.4.7, because of a buffer overflow exploit in Nginx (CVE-2014-0133). Nginx users are strongly encouraged to upgrade.

  • Stinger

    My Rails Hosting provider tried upgrade my Rails 2.1 sites to this version and and all my apps failed due to a segmentation fault. They didn’t provide me any additional information. I was using .40.0.36 before so we reverted back to that. I can try and get more details if you tell me what would help. Keep up the great work, you have a fantastic product.